• ベストアンサー
※ ChatGPTを利用し、要約された質問です(原文:RED HATローカルでのrpmパッケージ導入)

RED HATローカルでのrpmパッケージ導入

このQ&Aのポイント
  • RED HATローカルでのrpmパッケージ導入に関するエラーが発生しました。
  • TrendMicro製ServerProtect for Linux3のインストールに必要なパッケージの取得方法について教えてください。
  • LINUX初心者ですが、RED HATでのrpmパッケージのインストール方法について教えてください。

質問者が選んだベストアンサー

  • ベストアンサー
  • Wr5
  • ベストアンサー率53% (2177/4070)
回答No.1

http://www.ossfan.net/setup/yum-01.html この辺のページとか参考になりますかね。 インストールメディアからyumでインストールするのが確実かと。 ネットワークつながっているのならメディア使う必要もないんですが。

neg69
質問者

お礼

ずいぶん遅くなってしましましたがありがとうございます。 インストールメディアから無事インストールし成功いたしました。(バージョン違いですと強制インストールオプションが必要なようで一瞬とまどってしまいましたが・・・) ありがとうございました。

全文を見る
すると、全ての回答が全文表示されます。

関連するQ&A

  • パッケージとRPMについて

    LINUX初心者です、よろしくお願いします。 Redhat8.0を使用しているのですが、アプリケーションをインストールする方法には、次の2通りの方法があることはわかりました。 1)tarファイルを利用する。 2)RPMパッケージを利用する。 1)の方法の場合、tarファイルを解凍してできたexeファイル(インストーラ?)を実行すれば勝手にインストールが開始されるのかなぁ~と、何となくわかるのですが。(Windowsでのインストールに似ている?) 2)のRPMパッケージを利用する方法について、tarでインストールするよりも便利?であるという説明を見かけたのですが、なぜ便利なのかが今ひとつわかりません。 ●RPMパッケージでインストールすると何が便利なんでしょうか?(Windowsでいうところの、『プログラムの追加と削除』に登録される?) ●SRPMという別のもの?があったりして余計に難しそうなのですが... ●ある1つのアプリケーションについて複数のRPMファイルが存在するようですが、これら複数のファイルをすべてインストールする必要があるのでしょうか?(Windowsの場合は1つのexeをクリックすれば良いだけだと思うのですが...) できるだけ詳しく説明していただけたら助かります。よろしくお願いします。

  • rpmエラー(RedHat8)

    現在 RedHat8 kernel 2.4.20-31.9 i686 で運用しております。 あるrpmパッケージをインストールしようとすると エラー: Failed dependencies: libc.so.6(GLIBC_2.3.4) is needed by *.rpm とエラーが返されてしまいます。どうにかこのlibc.so.6(GLIBC_2.3.4)を探して いろいろ入れてみたのですが、どうにもうまくいきません。 どなたかこの解決方法を教えていただけませんか?

  • Redhat-Linux7.1J で「zlib」パッケージを正常にインストールしたい

    Redhat-Linux7.1JのOSを導入完了しています。 Redhat-Linux7.1JのCDROM(1枚目)から 「zlib」パッケージをインストールしようとすると、 次のようなエラーがでて、結果的にはインストールできません。 このzlibがインストールできないと、 あるパッケージがインストールできないので、とても困っています。 どうすれば、「zlib」パッケージを正常にインストールできるでしょうか? 教えてください! <コマンド>  # rpm -ivh zlib-1.1.3-22.i386.rpm <実行結果> Preparing... #######################[ 100%] 1:zlib エラー: unpacking of archive failed on file /usr/share/doc/zlib-1.1.3/README: cpio: MD5 sum mismatch

  • Red Hat Enterprise Linuxのサブスクリプションについて

    Red Hat Enterprise Linux 5 desktopのサブスクリプト契約をすれば、desktop以外の製品のソースファイルやrpmをダウンロードできるようになるのでしょうか。 現在レンタルサーバでRHEL4serverを使用しているのですが、テスト環境にインストールしたりRHN上にあるrpmをダウンロードしたりしたいので、いい方法がないかと探しています。

  • rpmでのインストール

    自作PCに Red Hat Linux release9 (shrike) kernel 2.4.20-8 on an i686 をインストールしています。 rpmパッケージで postgreSQL mySQL Perl PHP Apache をインストールしたいのですが 検索をしても 『Fedora』というLinuxのrpmは見つかるのですが ttp://ftp.kddilabs.jp/Linux/packages/fedora/core/2/i386/os/Fedora/RPMS/ 自分が使っているLinux版のが見つかりません。 URLなどを教えて戴ければ幸いです。 宜しくお願いします。

  • Linuxのパッケージインストール

    CentOSにおいて、以下のパッケージをrpmコマンドを使用してインストールしようとしてますが、依存性の欠如でインストールすることができません。 依存性が欠如しているパッケージ名は表示されるのですが、その名前のパッケージ名はCentOSのisoファイルの中には見受けられません。 どのようにしてインストールすべきかご教授下さい。 ■環境  CentOS release 6.4 (Final)  64bitOS   ■インストールしたいパッケージ  compat-libstdc++-33-3.2.3-69.el6.i686.rpm  glibc-2.12-1.107.el6.i686.rpm  libstdc++-4.4.7-3.el6.i686.rpm  libstdc++-devel-4.4.7-3.el6.i686.rpm   ■目的  Oracle Database 12c Release 1 (12.1.0.1) 導入/検証のため  http://www.oracle.com/technetwork/jp/database/enterprise-edition/documentation/db121linux-x64-ja-v10-1984264-ja.pdf     ■インストールされていないパッケージをインストールした際に表示されるメッセージ  # rpm -ivh compat-libstdc++-33-3.2.3-69.el6.i686.rpm 警告: compat-libstdc++-33-3.2.3-69.el6.i686.rpm: ヘッダ V3 RSA/SHA256 Signature, key ID c105b9de: NOKEY エラー: 依存性の欠如: libc.so.6 は compat-libstdc++-33-3.2.3-69.el6.i686 に必要とされています libc.so.6(GLIBC_2.0) は compat-libstdc++-33-3.2.3-69.el6.i686 に必要とされています libc.so.6(GLIBC_2.1) は compat-libstdc++-33-3.2.3-69.el6.i686 に必要とされています libc.so.6(GLIBC_2.1.3) は compat-libstdc++-33-3.2.3-69.el6.i686 に必要とされています libc.so.6(GLIBC_2.2) は compat-libstdc++-33-3.2.3-69.el6.i686 に必要とされています libc.so.6(GLIBC_2.3) は compat-libstdc++-33-3.2.3-69.el6.i686 に必要とされています libm.so.6 は compat-libstdc++-33-3.2.3-69.el6.i686 に必要とされています # # rpm -ivh glibc-2.12-1.107.el6.i686.rpm 警告: glibc-2.12-1.107.el6.i686.rpm: ヘッダ V3 RSA/SHA1 Signature, key ID c105b9de: NOKEY エラー: 依存性の欠如: libfreebl3.so は glibc-2.12-1.107.el6.i686 に必要とされています libfreebl3.so(NSSRAWHASH_3.12.3) は glibc-2.12-1.107.el6.i686 に必要とされています # # rpm -ivh libstdc++-4.4.7-3.el6.i686.rpm 警告: libstdc++-4.4.7-3.el6.i686.rpm: ヘッダ V3 RSA/SHA1 Signature, key ID c105b9de: NOKEY エラー: 依存性の欠如: ld-linux.so.2 は libstdc++-4.4.7-3.el6.i686 に必要とされています ld-linux.so.2(GLIBC_2.3) は libstdc++-4.4.7-3.el6.i686 に必要とされています libc.so.6 は libstdc++-4.4.7-3.el6.i686 に必要とされています libc.so.6(GLIBC_2.0) は libstdc++-4.4.7-3.el6.i686 に必要とされています libc.so.6(GLIBC_2.1) は libstdc++-4.4.7-3.el6.i686 に必要とされています libc.so.6(GLIBC_2.1.3) は libstdc++-4.4.7-3.el6.i686 に必要とされています libc.so.6(GLIBC_2.2) は libstdc++-4.4.7-3.el6.i686 に必要とされています libc.so.6(GLIBC_2.3) は libstdc++-4.4.7-3.el6.i686 に必要とされています libc.so.6(GLIBC_2.3.2) は libstdc++-4.4.7-3.el6.i686 に必要とされています libc.so.6(GLIBC_2.4) は libstdc++-4.4.7-3.el6.i686 に必要とされています libm.so.6 は libstdc++-4.4.7-3.el6.i686 に必要とされています libm.so.6(GLIBC_2.0) は libstdc++-4.4.7-3.el6.i686 に必要とされています # # rpm -ivh libstdc++-devel-4.4.7-3.el6.i686.rpm 警告: libstdc++-devel-4.4.7-3.el6.i686.rpm: ヘッダ V3 RSA/SHA1 Signature, key ID c105b9de: NOKEY エラー: 依存性の欠如: libstdc++(x86-32) = 4.4.7-3.el6 は libstdc++-devel-4.4.7-3.el6.i686 に必要とされています libstdc++.so.6 は libstdc++-devel-4.4.7-3.el6.i686 に必要とされています #

  • phpのconfigureのオプション指定方法を教えて下さい。

    FedoraCore6にphp-4.4.7をソースからインストールしたいと思っています。このconfigureのオプションの指定方法がよくわかりません。教えて頂ければ大変有難いです。 インストールしたいパッケージの代表例は次の通りです(他のパッケージは省略)。 1.zlibについて。 # rpm -qa | grep zlib zlib-1.2.3-3 zlib-devel-1.2.3-3 # rpm -ql zlib /usr/lib/libz.so.1 /usr/lib/libz.so.1.2.3 /usr/share/doc/zlib-1.2.3 /usr/share/doc/zlib-1.2.3/README となっているとき、--with-dir= で指定するパスはどのように書けば良いでしょうか。 (インストールはされているのですよね?) 2.jpegについて。jpegは下記のようになります。このインストールの仕方とconfigureのオプションの指定パスを教えて下さい。 [root@sa220p ~]# rpm -qa | grep png libpng-devel-1.2.10-7 libpng-1.2.10-7 [root@sa220p ~]# rpm -ql png パッケージ png はインストールされていません。 3. gettextは [root@sa220p ~]# rpm -qa | grep gettext gettext-0.14.6-3.fc6 となり、 [root@sa220p ~]# rpm -ql gettext とすると多数のファイルが表示されますが、どのファイルのパスを—with-gettext=で指定すれば良いのかが分かりません。このオプションの指定パスを教えて下さい。 多数の質問で誠に恐れいりますが、よろしくお願い致します。

    • ベストアンサー
    • PHP
  • libz.so.0

    このあいだ、Linuxにrpmをインストールしようとしたら、 「依存性の欠如:libz.so.0は○○○に必要とされています」 と表示されて、インストールできませんでした。 まだLinuxを使い始めてから日が浅いので、なんのことやらさっぱり分からず困ってます。 どなたかLinuxにお詳しい方、どうしたらよいか教えていただけませんか? よろしくお願いします。

  • パッケージをダウンロードするとファイル名が変わってしまう

    お世話になっております Red Hat のサイトでRPMパッケージをダウンロードする時 ファイル名が変わってしまうのはなぜでしょうか 【手順】 (1)Red Hatのサイトにて下記のファイルをWindos XP SP2 でダウンロードします >firefox-1.5.0.12-0.15.el4.i386.rpm (2)ファイルのダウンロードを行うときに以下のようにファイル名が変わってしまいます >firefox-1[1].5.0.12-0.15.el4.i386.rpm (3)ファイルをダウンロードした後、FTPなどでLinuxのサーバ(Red Hat Enterprise Linux AS 4)にパッケージを転送します (4)その後、Linux上でインストールを行おうとファイル名をTabで補完すると以下のようにファイル名が変わってしまいます >rpm -Uhv firefox-1\[1\].5.0.8-0.1.el4.i386.rpm ※ちなみに「ls」でファイル名を確認したときは、Windowsでのダウンロード時と同様の表示でした また、この名前でもインストールは行えませんでした。 >rpm -Uhv firefox-1[1].5.0.12-0.15.el4.i386.rpm エラー:File not found by glob:~ファイル名 この一連の現象の原因はどのような事が考えられるでしょうか どなたか御教授願います

  • RED HAT LINUXのインストール

    既にWindows7がインストールしてあるDell Precision 3500に、RED HAT ENTERPRISE LINUX WS Version4 をインストールしようとしていますが、上手く行かないのでどなたかアドバイスを頂ければと思います。 CD-ROMから起動して、セットアップのプログラムが走り、 「ローカルCD-ROMからのインストール」を選択することは出来るのですが、その直後に、 「ドライバが見つかりません。」 「このインストールタイプに必要なデバイスドライバを見つけることができません。」「ドライバを選択して下さい」 と表示されます。どのドライバを選択してよいかわからず、適当にいくつか試したのですが上手く行きません。Windows7は消去してしまっても構いません。 よろしくお願いします。

このQ&Aのポイント
  • FAX送受信ができなくなるトラブルが発生しました。電源をOFFにしても問題は解消せず、温フックも試しましたが改善されませんでした。また、線を変えてみたところ、表示が「着信中」となり消えず、電源の再挿入でも同じ状態が続きます。この問題の解決方法を教えてください。
  • 使用している環境はWindows10で、無線LAN接続です。関連するソフトやアプリはありません。電話回線はアナログ回線です。以上の情報をお伝えしましたので、お手数ですが解決方法を教えていただきたいです。
  • お困りの状況は、ブラザー製品のMFC-J6580CDWでのFAX送受信不可と、着信中表示が消えないというトラブルです。電源OFFや温フックの試行も行いましたが、改善されず、線の交換後には「着信中」という表示が出続けます。現在の環境はWindows10で無線LAN接続し、電話回線はアナログ回線を使用しています。この問題についての解決策を教えていただきたいです。
回答を見る